# $Revision: 1.21 $, $Date: 2011/11/01 12:54:53 $
#
# Conditional build:
%bcond_with	gnome		# don't build gnome applet
%bcond_without	gtk		# don't build GTK+ GUI
%bcond_without	static_libs	# don't build static library
#
%define dbversion 20061014
%define ddcdb	%{name}-db-%{dbversion}

Summary:	DDCcontrol - control the monitor parameters
Summary(pl.UTF-8):	DDCcontrol - narzędzie do regulacji parametrów monitora
Name:		ddccontrol
Version:	0.4.2
Release:	5
License:	GPL v2+
Group:		Applications
Source0:	http://dl.sourceforge.net/ddccontrol/%{name}-%{version}.tar.bz2
# Source0-md5:	b0eb367f3bc0564bd577e38d0b4107fc
Source1:	http://dl.sourceforge.net/ddccontrol/%{ddcdb}.tar.bz2
# Source1-md5:	91951918e5bc553c251776cdff8cea9c
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-gnome.patch
Patch2:		%{name}-pl.patch
Patch3:		%{name}-link.patch
URL:		http://ddccontrol.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
%{?with_gnome:BuildRequires:	gnome-panel-devel >= 2.10}
%{?with_gtk:BuildRequires:	gtk+2-devel >= 2:2.4}
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pciutils-devel
BuildRequires:	pkgconfig
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DDCcontrol is a program used to control monitor parameters, like
brightness and contrast, by software, i.e. without using the OSD and
the buttons in front of the monitor.

%description -l pl.UTF-8
DDCcontrol jest programem służącym do regulacji parametrów monitora
takich jak jaskrawość i kontrast, bez używania OSD i przycisków na
obudowie monitora.

%package gtk
Summary:	GTK+ GUI for ddccontrol
Summary(pl.UTF-8):	Graficzny interfejs GTK+ dla ddccontrol
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gtk
GTK+ GUI for ddccontrol.

%description gtk -l pl.UTF-8
Graficzny interfejs GTK+ dla ddccontrol.

%package applet
Summary:	GNOME applet for ddccontrol
Summary(pl.UTF-8):	Aplet GNOME dla ddccontrol
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description applet
GNOME applet for ddccontrol.

%description applet -l pl.UTF-8
Aplet GNOME dla ddccontrol.

%package libs
Summary:	ddccontrol library
Summary(pl.UTF-8):	Biblioteka ddccontrol
Group:		Libraries

%description libs
DDCcontrol library.

%description libs -l pl.UTF-8
Biblioteka DDCcontrol.

%package devel
Summary:	Development files for ddccontrol library
Summary(pl.UTF-8):	Pliki niezbędne programistom używającym biblioteki ddccontrol
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libxml2-devel
Requires:	pciutils-devel

%description devel
Development files for ddccontrol library.

%description devel -l pl.UTF-8
Pliki niezbędne programistom używającym biblioteki ddccontrol.

%package static
Summary:	Static ddccontrol library
Summary(pl.UTF-8):	Biblioteka statyczna ddccontrol
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ddccontrol library.

%description static -l pl.UTF-8
Biblioteka statyczna ddccontrol.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_gtk:--disable-gnome} \
	%{!?with_gnome:--disable-gnome-applet} \
	%{!?with_static_libs:--disable-static}
%{__make}
cd %{ddcdb}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C %{ddcdb} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libddccontrol.la

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/html
%attr(755,root,root) %{_bindir}/ddccontrol
%attr(755,root,root) %{_bindir}/ddcpci
%{_datadir}/ddccontrol-db
%{_mandir}/man1/ddccontrol.1*

%if %{with gtk}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gddccontrol
%{_desktopdir}/gddccontrol.desktop
%{_pixmapsdir}/gddccontrol.png
%{_mandir}/man1/gddccontrol.1*
%endif

%if %{with gnome}
%files applet
%defattr(644,root,root,755)
%dir %{_libdir}/ddccontrol
%attr(755,root,root) %{_libdir}/ddccontrol/ddcc-applet
%{_datadir}/ddccontrol
%{_libdir}/bonobo/servers/*
%endif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libddccontrol.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libddccontrol.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libddccontrol.so
%{_includedir}/ddccontrol

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libddccontrol.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ddccontrol.spec,v $
Revision 1.21  2011/11/01 12:54:53  gotar
- disabled GNOME applet (or get any support), removed la file, rel. 5

Revision 1.20  2010/06/17 18:37:10  baggins
- rel 4

Revision 1.19  2008/01/30 00:57:51  wolvverine
- add %{__intltoolize}, clen ^space from commitlog

Revision 1.18  2007-02-12 21:23:52  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.16  2007/01/20 12:46:38  qboosh
- release 3

Revision 1.15  2007/01/20 12:46:12  qboosh
- updated pl patch for ddccontrol-db 20061014

Revision 1.14  2007/01/03 23:46:17  aflinta
- updated monitor database
- added link patch
- release 2

Revision 1.13  2006/08/24 23:29:51  qboosh
- updated to 0.4.2, updated gnome,pl patches, removed obsolete SAM0197 patch

Revision 1.12  2006/07/13 10:34:30  charles
- post{un} ldconfig moved to -libs

Revision 1.11  2006/05/16 18:37:27  charles
- BR: gettext-devel, intltool
- without static_libs bcond

Revision 1.10  2006/05/16 18:32:46  qboosh
- added pl patch (some typo fixes, translation still incomplete)

Revision 1.9  2006/05/16 18:21:11  qboosh
- added gnome patch and gtk,gnome bconds
- separated gddccontrol tool to -gtk subpackage
- more desc, deps and files cleanups

Revision 1.8  2006/05/16 17:25:34  qboosh
- pl cosmetics, desc cleanups

Revision 1.7  2006/05/12 00:16:28  baggins
- BR gnome-panel-devel

Revision 1.6  2006/05/10 07:43:20  darekr
- missing dir

Revision 1.5  2006/05/09 22:31:03  aflinta
- added missing epoch to gtk+2 version

Revision 1.4  2006/05/09 22:06:46  aflinta
- adapterized
- added applet subpackage (nad enable GNOME applet)
- use %%find_lang macro

Revision 1.3  2006/05/09 20:37:56  darekr
- added %doc

Revision 1.2  2006/05/09 20:35:26  darekr
- kill needless define, fix perms

Revision 1.1  2006/05/09 20:12:52  mguevara
- provided by Dariusz Włodarczyk
